Package it.ernytech.tdlib

## Class TdApi.GameHighScore

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.GameHighScore

Enclosing class:
  TdApi

    public static class TdApi.GameHighScore
    extends TdApi.Object

Contains one row of the game high score table.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `position` Position in the high score table.
`int` `score` User score.
`int` `userId` User identifier.

### Constructor Summary

Constructors
`GameHighScore()` Default constructor.
`GameHighScore​(int position, int userId, int score)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### position

    public int position

Position in the high score table.

#### userId

    public int userId

User identifier.

#### score

    public int score

User score.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GameHighScore

    public GameHighScore()

Default constructor.

#### GameHighScore

    public GameHighScore​(int position,
                         int userId,
                         int score)

Constructor for initialization of all fields.

Parameters:
  `position` - Position in the high score table.
  `userId` - User identifier.
  `score` - User score.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR